Package ru.bitel.bgbilling.kernel.task.server.bean

# Class RunTaskRecalculator<T extends ru.bitel.bgbilling.kernel.task.server.TaskBase>

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator<T>

All Implemented Interfaces:
  `Serializable`, `Runnable`

Direct Known Subclasses:
  `MangoFeesFtpReloader`, `Recalculator`, `RSCMRecalculator`

public abstract class RunTaskRecalculator<T extends ru.bitel.bgbilling.kernel.task.server.TaskBase> extends RunTask

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Calendar`
  `dt`
  `protected String`
  `email`
  `protected int`
  `mid`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `setup`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RunTaskRecalculator()`
  ``
  `RunTaskRecalculator(int mid, Calendar dt, String email)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract T`
  `createTask()`
  `protected void`
  `executeTask()`
  `String`
  `getDescription()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mid

    protected int mid

  - ### dt

    protected Calendar dt

  - ### email

    protected String email

- ## Constructor Details

  - ### RunTaskRecalculator

    protected RunTaskRecalculator()

  - ### RunTaskRecalculator

    public RunTaskRecalculator(int mid, Calendar dt, String email)

- ## Method Details

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `RunTask`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `RunTask`

  - ### createTask

    protected abstract T createTask()